OCSIGEN(1)

NAME
ocsigen - web programming framework in OCaml

SYNOPSIS
ocsigen [options]

DESCRIPTION
ocsigen is a programming framework providing a new way to create dynamic web sites. Its goal is to offer an alternative to Apache/PHP, based on cutting-edge technologies coming from research in programming languages. With ocsigen, you program in a concise and modular way, with a strong type system which helps you to produce valid xhtml. The server handles sessions, URLs, and page parameters automatically.

OPTIONS

-c, --config
    Alternate configuration file.

-d, --daemon
    Daemon mode (detach the process). This is the default when there are more than 1 process.

-help, --help
    Show summary of options.

-p, --pidfile
    Specify a file where to write the PIDs of the servers.

-s, --silent
    Silent mode (error messages go in errors.log only).

-v, --verbose
    Verbose mode.

-V ,  --veryverbose
    Very verbose mode (debug).

-version
    Show version of program.

SEE ALSO
ocamlc(1).

AUTHOR
ocsigen was written by Vincent Balat <vincent.balat@pps.jussieu.fr>.

This manual page was written by Samuel Mimram <smimram@debian.org>, for the Debian project (but may be used by others).